package domain

type AlibabaWdkCouponAbandonApiResult struct {
	/*
	   错误码     */
	ErrCode *string `json:"err_code,omitempty" `

	/*
	   错误信息     */
	ErrMsg *string `json:"err_msg,omitempty" `

	/*
	   成功标志     */
	Success *bool `json:"success,omitempty" `

	/*
	   操作结果     */
	Model *bool `json:"model,omitempty" `
}

func (s *AlibabaWdkCouponAbandonApiResult) SetErrCode(v string) *AlibabaWdkCouponAbandonApiResult {
	s.ErrCode = &v
	return s
}
func (s *AlibabaWdkCouponAbandonApiResult) SetErrMsg(v string) *AlibabaWdkCouponAbandonApiResult {
	s.ErrMsg = &v
	return s
}
func (s *AlibabaWdkCouponAbandonApiResult) SetSuccess(v bool) *AlibabaWdkCouponAbandonApiResult {
	s.Success = &v
	return s
}
func (s *AlibabaWdkCouponAbandonApiResult) SetModel(v bool) *AlibabaWdkCouponAbandonApiResult {
	s.Model = &v
	return s
}
